package com.ruoyi.invest.domain;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
/**
 * 期货股票账单对象 future_stocks_bill
 *
 * @author tianyongbao
 * @date 2024-03-20
 */
@ApiModel("期货股票账单对象")
@Data
public class FutureStocksBill extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 账单名称 */
    @ApiModelProperty(value="账单名称")
    @Excel(name = "账单名称")
    private String name;

    /** 账单日 */
    private Date billDate;

    /** 期货股票id */
    @ApiModelProperty(value="期货股票id")
    @Excel(name = "期货股票id")
    private Long futureStocksId;

    /** 账单周期 */
    @ApiModelProperty(value="账单周期")
    @Excel(name = "账单周期")
    private String billDatePeriod;

    /** 账单收益 */
    @ApiModelProperty(value="账单收益")
    @Excel(name = "账单收益")
    private Double billAmount;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 类型，1期货，2股票 */
    @ApiModelProperty(value="类型，1期货，2股票")
    @Excel(name = "类型，1期货，2股票")
    private String type;

    /** 账单年份 */
    private String billYear;

    /** 账单月份 */
    private String billMonth;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("billDate", getBillDate())
            .append("futureStocksId", getFutureStocksId())
            .append("billDatePeriod", getBillDatePeriod())
            .append("billAmount", getBillAmount())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("type", getType())
            .append("billYear", getBillYear())
            .append("billMonth", getBillMonth())
            .toString();
    }
}
